Package com.sap.ai.sdk.foundationmodels.openai.generated.model

# Interface ChatCompletionRequestSystemMessageContent

All Known Implementing Classes:
  `ChatCompletionRequestSystemMessageContent.InnerString`, `ChatCompletionRequestSystemMessageContent.ListOfChatCompletionRequestMessageContentPartTexts`

public interface ChatCompletionRequestSystemMessageContent
The contents of the system message.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Interface
  Description
  `static final record`
  `ChatCompletionRequestSystemMessageContent.InnerString`
  Helper class to create `String` that implements `ChatCompletionRequestSystemMessageContent`.
  `static final record`
  `ChatCompletionRequestSystemMessageContent.ListOfChatCompletionRequestMessageContentPartTexts`
  Helper class to create `List<ChatCompletionRequestMessageContentPartText>` that implements `ChatCompletionRequestSystemMessageContent`.

- ## Method Summary

  Static Methods
  Modifier and Type
  Method
  Description
  `static ChatCompletionRequestSystemMessageContent.InnerString`
  `create(String val)`
  Creator to enable deserialization of `String` .
  `static ChatCompletionRequestSystemMessageContent.ListOfChatCompletionRequestMessageContentPartTexts`
  `createListOfChatCompletionRequestMessageContentPartTexts(List<ChatCompletionRequestMessageContentPartText> val)`
  Creator to enable deserialization of `List<ChatCompletionRequestMessageContentPartText>` .

- ## Method Details

  - ### createListOfChatCompletionRequestMessageContentPartTexts

    @Nonnull static ChatCompletionRequestSystemMessageContent.ListOfChatCompletionRequestMessageContentPartTexts createListOfChatCompletionRequestMessageContentPartTexts(@Nonnull List<ChatCompletionRequestMessageContentPartText> val)
    Creator to enable deserialization of `List<ChatCompletionRequestMessageContentPartText>` .
    Parameters:
      `val` - the value to use
    Returns:
      a new instance of `ChatCompletionRequestSystemMessageContent.ListOfChatCompletionRequestMessageContentPartTexts`.

  - ### create

    @Nonnull static ChatCompletionRequestSystemMessageContent.InnerString create(@Nonnull String val)
    Creator to enable deserialization of `String` .
    Parameters:
      `val` - the value to use
    Returns:
      a new instance of `ChatCompletionRequestSystemMessageContent.InnerString`.